### Function

# Gimp RGB list_names

#### Declaration [src]

    void
    gimp_rgb_list_names (
      const gchar*** names,
      GimpRGB** colors,
      gint* n_colors
    )

#### Description [src]

Returns the list of SVG 1.0 color keywords that is used by gimp_rgb_parse_name().

The returned strings are const and must not be freed. Only the two arrays are allocated dynamically. You must call `g_free()` on the `names` and `colors` arrays when they are not any longer needed.

Available since: | 2.2

#### Parameters

`names` | An array of `gchar**`
| Return location for an array of color names.
| The argument will be set by the function.
| The length of the array is specified in the `n_colors` argument.
| The called function takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.
`colors` | An array of `GimpRGB*`
| Return location for an array of GimpRGB structs.
| The argument will be set by the function.
| The length of the array is specified in the `n_colors` argument.
| The called function takes ownership of the data container, but not the data inside it.
`n_colors` | `gint*`
| The number of named colors.
| The argument will be set by the function.